# 32/64bit spec-file
#
Name: tribler
Version: 6.0.4
Release: %mkrel 1

Summary: Python based Bittorrent/Internet TV application
License: MIT
Group:  Networking/Other
URL: http://www.tribler.org/
Source0: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:libevent-devel >= 2.0.20 
Requires: openssl
Requires: swig
Requires: wxPythonGTK
Requires: python-apsw
Requires: ffmpeg
Requires: python-netifaces
Requires: python-m2crypto
Requires: GConf2
Requires: vlc

%description
Tribler is an application that enables its users to find,
enjoy and share content. With content we mean video,
audio, pictures, and much more.

Tribler has three goals in helping you, the user:
1. Find content
2. Consume content
3. share content

%prep
%setup -q
cd SwiftEngine
%make
cd ../

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/Tribler
cp -af * $RPM_BUILD_ROOT%{_datadir}/%{name}/Tribler

cp -af SwiftEngine/swift $RPM_BUILD_ROOT%{_datadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -af Main/Build/Ubuntu/tribler.sh $RPM_BUILD_ROOT%{_bindir}/tribler

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gconf/defaults
cat > $RPM_BUILD_ROOT%{_datadir}/gconf/defaults/10_tribler <<EOF
/desktop/gnome/url-handlers/magnet/command tribler %s
/desktop/gnome/url-handlers/magnet/enabled true
/desktop/gnome/url-handlers/magnet/needs_terminal false
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%{name}
Icon=%{name}
Name=Tribler
Terminal=false
Comment=Enjoy and share content
Categories=Network;P2P;X-MandrivaLinux-Internet-P2P;
EOF

install -Dm644 Images/logoTribler_small.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/Tribler/*.txt
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/Tribler/Main/Build
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/Tribler/plugin/Build
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/Tribler/Transport/Build
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/Tribler/Player/Build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%doc *.txt 
%{_bindir}/%{name}
%{_datadir}/%{name}/Tribler
%{_datadir}/%{name}/swift
%{_datadir}/gconf/defaults/10_tribler
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Aug 27 2016 adrianomorselli <adrianomorselli> 6.0.4
- rebuild

* Fri Mar 15 2013 Ken <lxgator@gmail.com> 6.0.4-1pclos2013
- 6.0.4

* Sun Oct 07 2012 Ken <lxgator@gmail.com> 6.0.0-1pclos2012
- initial pkg
